Trusted by the world’s leading companies

Syncfusion Trusted Companies
Syncfusion Feedback

Overview

The Vue Sankey Diagram is a flow based visualization that represents values proportionally, emphasizing the movement or transfer between different stages of a process. It is a reliable solution for illustrating complex systems, energy distributions, or any workflow involving transfers between stages.


Why choose the Syncfusion Vue Sankey Diagram?

Vue Sankey Interactive image

Interactive Sankey Diagram

The tooltip cursor enables users to interact with the Sankey Diagram and access detailed information about nodes and links.

Vue Sankey Rich Feature Set image

Rich feature set

The Vue Sankey Diagram supports legends, orientations, labels, titles, themes, events, customizable nodes and links, as well as printing and exporting capabilities.

Vue Sankey Adapts To Any Resolution image

Adapts to any resolution

The Sankey Diagram features a highly responsive layout with an optimized design for desktops, touchscreens, and mobile devices. It works seamlessly across iOS, Android, and Windows platforms.

Vue Sankey Customizable Themes image

Attractive, customizable themes

Offers modern and visually appealing designs with multiple built in themes, including Material 3, Fluent 2, Tailwind CSS, Bootstrap, Material, and Fabric.

Vue Sankey Elegant Animation image

Elegant animation

The Sankey Diagram delivers smooth animations to present data with fluid transitions.


Vue Sankey Diagram code example

Get started quickly with the Vue Sankey Diagram using just a few lines of Vue code, as shown below. You can also explore our Vue Sankey Diagram example to learn how to render and configure the component.

<template>
  <div id="app">
    <ejs-sankey
      id="sankey"
      title="Device Usage"
      :nodeStyle="nodeStyle"
      :linkStyle="linkStyle"
      :legendSettings="legendSettings">

      <e-sankey-nodes>
          <e-sankey-node id="Female" :label="{ text: 'Female (58%)' }" />
          <e-sankey-node id="Male" :label="{ text: 'Male (42%)' }" />
          <e-sankey-node id="Tablet" :label="{ text: 'Tablet (12%)' }" />
          <e-sankey-node id="Mobile" :label="{ text: 'Mobile (40%)' }" />
          <e-sankey-node id="Desktop" :label="{ text: 'Desktop (48%)' }" />
          <e-sankey-node id="< 18" :label="{ text: '< 18 years (8%)' }" />
          <e-sankey-node id="18-26" :label="{ text: '18-26 years (35%)' }" />
          <e-sankey-node id="27-40" :label="{ text: '27-40 years (38%)' }" />
          <e-sankey-node id="> 40" :label="{ text: '> 40 years (19%)' }" />
      </e-sankey-nodes>

      <e-sankey-links>
          <e-sankey-link source-id="Female" target-id="Tablet" :value="12" />
          <e-sankey-link source-id="Female" target-id="Mobile" :value="14" />
          <e-sankey-link source-id="Female" target-id="Desktop" :value="32" />
          <e-sankey-link source-id="Male" target-id="Mobile" :value="26" />
          <e-sankey-link source-id="Male" target-id="Desktop" :value="16" />
          <e-sankey-link source-id="Tablet" target-id="< 18" :value="4" />
          <e-sankey-link source-id="Tablet" target-id="> 40" :value="8" />
          <e-sankey-link source-id="Mobile" target-id="< 18" :value="4" />
          <e-sankey-link source-id="Mobile" target-id="18-26" :value="24" />
          <e-sankey-link source-id="Mobile" target-id="27-40" :value="10" />
          <e-sankey-link source-id="Mobile" target-id="> 40" :value="2" />
          <e-sankey-link source-id="Desktop" target-id="18-26" :value="11" />
          <e-sankey-link source-id="Desktop" target-id="27-40" :value="28" />
          <e-sankey-link source-id="Desktop" target-id="> 40" :value="9" />
      </e-sankey-links>

    </ejs-sankey>
  </div>
</template>

<script>

import Vue from 'vue';
import {
  SankeyPlugin,
  SankeyComponent,
  SankeyNodesCollectionDirective,
  SankeyNodeDirective,
  SankeyLinksCollectionDirective,
  SankeyLinkDirective,
  SankeyLegend
} from '@syncfusion/ej2-vue-charts';

Vue.use(SankeyPlugin);

export default {
  components: {
    'ejs-sankey': SankeyComponent,
    'e-sankey-nodes': SankeyNodesCollectionDirective,
    'e-sankey-node': SankeyNodeDirective,
    'e-sankey-links': SankeyLinksCollectionDirective,
    'e-sankey-link': SankeyLinkDirective
  },
  provide: {
    sankey: [SankeyLegend]
  },
  data() {
    return {
      nodeStyle: { width: 30, padding: 10 },
      linkStyle: { colorType: 'Source' },
      legendSettings: { visible: true, position: 'Bottom' }
    };
  }
};
</script>

Legend in Vue Sankey Diagram.

Legend

The Vue Sankey Diagram offers configurable legends that give extra context about nodes. When you hover over a legend item, the related data flow links are visually emphasized.


Tooltips

The Sankey Diagram provides tooltip support to display details about node and link values when the pointer moves over them.

Tooltip in Vue Sankey Diagram.


Print and export in Vue Sankey Diagram.

You can export the Vue Sankey Diagram on the client side as a PDF or image formats like PNG and JPEG. The diagram can also be printed directly from the browser.


Orientation

The Sankey Diagram supports both horizontal and vertical orientations, allowing adaptable visualization based on data structure and flow needs.

Orientations in Vue Sankey Diagram.


Node labels in Vue Sankey Diagram.

Node labels

The Sankey Diagram includes label support for nodes, helping to annotate details and enhance clarity and readability.


Customization

The Sankey Diagram includes built-in APIs for customizing node width and adjusting the colors of nodes, links, and labels, enabling alignment with your design requirements.

Customization in Vue Sankey Diagram.


Accessibility

Keyboard navigation in Vue Sankey Diagram.

Keyboard navigation

All elements in the Sankey Diagram are fully accessible via keyboard, with key features such as legend highlighting operable using keyboard commands alone. No mouse interaction is required, ensuring an inclusive user experience.

Accessibility and screen reader support in Vue Sankey Diagram.

Screen readers

The Sankey Diagram offers complete WAI ARIA accessibility support, ensuring compatibility with assistive technologies such as screen readers. Its interface includes high contrast visual elements for users with low vision, and valid UI descriptions are easily accessible to further enhance usability.

Show right-to-left language in Vue Sankey Diagram.

Right to left (RTL)

Right to left rendering displays the Sankey Diagram’s text and layout from right to left, improving usability and accessibility for users who work with RTL languages.




140+ VUE UI COMPONENTS

Standalone UI SDKs

Integrate the DataGrid, Chart, Scheduler, Gantt, Rich Text Editor, File Manager, and Diagram UI components into applications to enable rich interaction and visualization, delivering a seamless user experience.

Document Solutions

Integrate the PDF Viewer, DOCX Editor, Spreadsheet Editor, and document-processing libraries into the Vue applications to enable a smooth user experience.

Frequently Asked Questions

With the Syncfusion Vue Sankey Diagram component, you can:

  • Visualize and analyze complex flow systems with nodes and links.
  • Implement one of the best Vue Sankey Diagram components on the market.
  • Enjoy simple configuration and APIs.
  • Deploy confidently to all modern browsers.
  • Implement a touch-friendly and responsive component.
  • Take advantage of expansive learning resources such as demos and documentation to get started quickly.

You can find our Vue Sankey Diagram demo here, which demonstrates how to render and configure the component.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Trusted by the world’s leading companies

syncfusion trusted companies
Syncfusion Feedback

Overview

The Angular Sankey Diagram is a flow-based visualization that represents quantities proportionally, emphasizing the transfer or movement between different stages of a process. It is an ideal solution for illustrating complex systems, energy distributions, or any workflow involving transitions between steps.


Why choose the Syncfusion Angular Sankey Diagram?

Angular Sankey Interactive image

Interactive Sankey Diagram

With an interactive tooltip cursor, users can explore the Sankey Diagram and view detailed information about individual nodes and connecting links.

Angular Sankey Rich Feature Set image

Comprehensive feature set

The Angular Sankey Diagram includes support for legends, multiple orientations, labels, titles, themes, events, customizable nodes and links, along with printing and exporting capabilities.

Angular Sankey Adapts To Any Resolution image

Responsive across all devices

The Sankey Diagram offers a fully responsive layout with an optimized design for desktops, tablets, and mobile devices. It performs seamlessly on iOS, Android, and Windows-based platforms.

Angular Sankey Customizable Themes image

Visually appealing, customizable themes

Choose from modern, built-in themes such as Material 3, Fluent 2, Tailwind CSS, Bootstrap, Material, and Fabric to match your application’s design language.

Angular Sankey Elegant Animation image

Smooth and elegant animation

The Sankey Diagram features fluid animations that enhance data presentation with smooth and visually appealing transitions.


Angular Sankey Diagram code example

Get started quickly with the Angular Sankey Diagram using just a few lines of HTML and TS code. You can also explore our Angular Sankey example to see how the component can be rendered and customized.

<ejs-sankey
      id="sankey"
      title="Device Usage"
      [nodeStyle]="nodeStyle"
      [linkStyle]="linkStyle"
      [legendSettings]="legendSettings">

      <e-sankey-nodes>
          <e-sankey-node id="Female" :label="{ text: 'Female (58%)' }" />
          <e-sankey-node id="Male" :label="{ text: 'Male (42%)' }" />
          <e-sankey-node id="Tablet" :label="{ text: 'Tablet (12%)' }" />
          <e-sankey-node id="Mobile" :label="{ text: 'Mobile (40%)' }" />
          <e-sankey-node id="Desktop" :label="{ text: 'Desktop (48%)' }" />
          <e-sankey-node id="< 18" :label="{ text: '< 18 years (8%)' }" />
          <e-sankey-node id="18-26" :label="{ text: '18-26 years (35%)' }" />
          <e-sankey-node id="27-40" :label="{ text: '27-40 years (38%)' }" />
          <e-sankey-node id="> 40" :label="{ text: '> 40 years (19%)' }" />
      </e-sankey-nodes>

      <e-sankey-links>
          <e-sankey-link source-id="Female" target-id="Tablet" :value="12" />
          <e-sankey-link source-id="Female" target-id="Mobile" :value="14" />
          <e-sankey-link source-id="Female" target-id="Desktop" :value="32" />
          <e-sankey-link source-id="Male" target-id="Mobile" :value="26" />
          <e-sankey-link source-id="Male" target-id="Desktop" :value="16" />
          <e-sankey-link source-id="Tablet" target-id="< 18" :value="4" />
          <e-sankey-link source-id="Tablet" target-id="> 40" :value="8" />
          <e-sankey-link source-id="Mobile" target-id="< 18" :value="4" />
          <e-sankey-link source-id="Mobile" target-id="18-26" :value="24" />
          <e-sankey-link source-id="Mobile" target-id="27-40" :value="10" />
          <e-sankey-link source-id="Mobile" target-id="> 40" :value="2" />
          <e-sankey-link source-id="Desktop" target-id="18-26" :value="11" />
          <e-sankey-link source-id="Desktop" target-id="27-40" :value="28" />
          <e-sankey-link source-id="Desktop" target-id="> 40" :value="9" />
      </e-sankey-links>
      
</ejs-sankey>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
  public legendSettings: Object = {
      visible: true,
      position: 'Bottom'
  }; 
  public linkStyle: Object = {
      colorType: 'Source'
  };
  public nodeStyle: Object = { 
      width: 30, 
      padding: 10 
  };
}

//app.module.ts
import { SankeyAllModule } from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    SankeyAllModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Legend in Angular Sankey Diagram.

Legend

The Angular Sankey Diagram supports fully customizable legends that provide additional context for nodes. When hovering over a legend item, the associated data flow links are automatically highlighted.


Tooltips

The Sankey Diagram includes tooltip support to display detailed information about node and link values when users hover over them.

Tooltip in Angular Sankey Diagram.


Print and export in Angular Sankey Diagram.

Export the Angular Sankey Diagram as PDF files or image formats such as PNG and JPEG directly on the client side. The diagram can also be printed straight from the browser.


Orientation

The Sankey Diagram supports both horizontal and vertical orientations, offering flexibility to visualize data according to layout preferences and flow direction.

Orientations in Angular Sankey Diagram.


Node labels in Angular Sankey Diagram.

Node labels

Node labels can be enabled to display descriptive information, improving readability and making the visualization easier to understand.


Customization

Built-in APIs allow customization of node widths, colors, link styles, and labels, enabling the Sankey Diagram to align perfectly with your design requirements.

Customization in Angular Sankey Diagram.


Accessibility

Keyboard navigation in Angular Sankey Diagram.

Keyboard navigation

All elements in the Sankey Diagram are fully accessible via keyboard navigation. Key features such as legend highlighting can be operated without a mouse, ensuring an inclusive user experience.

Accessibility and screen reader support in Angular Sankey Diagram.

Screen readers

The Sankey Diagram provides complete WAI-ARIA compliance, making it compatible with screen readers and other assistive technologies. High-contrast visuals and meaningful UI descriptions enhance usability for users with low vision.

Show right-to-left language in Angular Sankey Diagram.

Right-to-left (RTL) support

RTL rendering enables the Sankey Diagram to display text and layout from right to left, improving accessibility and usability for languages that follow RTL reading patterns.




140+ ANGULAR UI COMPONENTS

Standalone UI SDKs

Integrate the DataGrid, Chart, Scheduler, Gantt, Rich Text Editor, File Manager, and Diagram UI components into applications to enable rich interaction and visualization, delivering a seamless user experience.

Document Solutions

Integrate the PDF Viewer, DOCX Editor, Spreadsheet Editor, and document-processing libraries into the Angular applications to enable a smooth user experience.

Frequently Asked Questions

With the Syncfusion Angular Sankey Diagram component, you can:

  • Visualize and analyze complex flow systems with nodes and links.
  • Implement one of the best Angular Sankey Diagram components on the market.
  • Enjoy simple configuration and APIs.
  • Deploy confidently to all modern browsers.
  • Implement a touch-friendly and responsive component.
  • Take advantage of expansive learning resources such as demos and documentation to get started quickly.

You can find our Angular Sankey demo here, which demonstrates how to render and configure the Sankey Diagram.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Trusted by the world’s leading companies

Syncfusion Trusted Companies
Syncfusion Feedback

Overview

The React Sankey Diagram is a flow-based visualization that represents values proportionally, highlighting the movement or transfer between different stages of a process. It serves as a powerful tool for illustrating complex systems, energy distributions, or any workflow involving transfers across stages.


Why choose the Syncfusion React Sankey Diagram?

React Sankey Interactive image

Interactive Sankey Diagram

The tooltip cursor enables users to interact with the Sankey Diagram and view detailed information about nodes and links.

React Sankey Rich Feature Set image

Rich feature set

The React Sankey Diagram includes support for legends, orientations, labels, titles, themes, events, customizable nodes and links, as well as printing and exporting options.

React Sankey Adapts To Any Resolution image

Adapts to any resolution

The Sankey Diagram features a highly responsive layout with an optimized design for desktops, touchscreens, and mobile phones. It performs seamlessly across iOS, Android, and Windows devices.

React Sankey Customizable Themes image

Attractive, customizable themes

Offers modern, visually appealing designs with multiple built-in themes, including Material 3, Fluent 2, Tailwind CSS, Bootstrap, Material, and Fabric.

React Sankey Elegant Animation image

Elegant animation

The Sankey Diagram delivers smooth animations to display data with fluid and refined transitions.


React Sankey Diagram code example

Quickly get started with the React Sankey Diagram by using just a few lines of TSX code, as shown below. You can also explore our React Sankey example to learn how to render and configure the component effectively.

import { SankeyComponent, SankeyNodesCollectionDirective, SankeyNodeDirective, SankeyLinksCollectionDirective, SankeyLinkDirective, SankeyLegend, Inject } from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public nodes: any[] = [
    { id: 'Female', label: 'Female (58%)' },
    { id: 'Male', label: 'Male (42%)' },
    { id: 'Tablet', label: 'Tablet (12%)' },
    { id: 'Mobile', label: 'Mobile (40%)' },
    { id: 'Desktop', label: 'Desktop (48%)' },
    { id: '< 18', label: '< 18 years (8%)' },
    { id: '18-26', label: '18-26 years (35%)' },
    { id: '27-40', label: '27-40 years (38%)' },
    { id: '> 40', label: '> 40 years (19%)' }
  ];
 
  public links: any[] = [
    { source: 'Female', target: 'Tablet', value: 12 },
    { source: 'Female', target: 'Mobile', value: 14 },
    { source: 'Female', target: 'Desktop', value: 32 },
    { source: 'Male', target: 'Mobile', value: 26 },
    { source: 'Male', target: 'Desktop', value: 16 },
    { source: 'Tablet', target: '< 18', value: 4 },
    { source: 'Tablet', target: '> 40', value: 8 },
    { source: 'Mobile', target: '< 18', value: 4 },
    { source: 'Mobile', target: '18-26', value: 24 },
    { source: 'Mobile', target: '27-40', value: 10 },
    { source: 'Mobile', target: '> 40', value: 2 },
    { source: 'Desktop', target: '18-26', value: 11 },
    { source: 'Desktop', target: '27-40', value: 28 },
    { source: 'Desktop', target: '> 40', value: 9 }
  ];

  public render() {
    return <SankeyComponent id="sankey" title="Device Usage" nodeStyle=
      linkStyle= legendSettings=>
            <Inject services={[SankeyLegend]} />
            <SankeyNodesCollectionDirective>
              {this.nodes.map((node) => (
                <SankeyNodeDirective key={node.id} id={node.id} label=>
                </SankeyNodeDirective>
              ))}
            </SankeyNodesCollectionDirective>
            <SankeyLinksCollectionDirective>
              {this.links.map((link, i) => (
                <SankeyLinkDirective key={`${link.sourceId}-${link.targetId}-${i}`} sourceId={link.source} targetId={link.target} value={link.value}>
                </SankeyLinkDirective>
              ))}
            </SankeyLinksCollectionDirective>
          </SankeyComponent>
  }
};
ReactDOM.render(<App />, document.getElementById('sankey') as HTMLElement);

Legend in React Sankey.

Legend

The React Sankey Diagram supports customizable legends that offer additional details about nodes. When the pointer hovers over a legend item, the corresponding data flow links are highlighted.


Tooltips

The Sankey Diagram provides tooltip options that display information about node and link values when the pointer is placed over them.

Tooltip in React Sankey Diagram.


Print and export in React Sankey Diagram.

Export the React Sankey Diagram as a PDF file or as image formats such as PNG and JPEG on the client side. You can also print the rendered Sankey Diagram directly from the browser.


Orientation

The Sankey Diagram supports both horizontal and vertical layouts, enabling flexible data visualization based on the data’s flow and layout needs.

Orientations in React Sankey Diagram.


Node labels in React Sankey Diagram.

Node labels

The Sankey Diagram supports labels for annotating node details, improving the overall readability and clarity of the visualization.


Customization

The Sankey Diagram includes built-in APIs to customize node widths and the colors of nodes, links, and labels, helping align the visualization with your design requirements.

Customization in React Sankey Diagram.


Accessibility

Keyboard navigation in React Sankey Diagram.

Keyboard navigation

All elements in the Sankey Diagram are fully accessible via keyboard, with key features such as legend highlighting operable using keyboard commands alone. Mouse interaction is not required, ensuring a highly accessible user experience.

Accessibility and screen reader support in React Sankey Diagram.

Screen readers

The Sankey Diagram offers complete WAI-ARIA accessibility support, ensuring compatibility with assistive technologies such as screen readers. Its interface includes high-contrast visual elements for users with low vision, along with easily accessible and valid UI descriptions to enhance usability.

Show right-to-left language in React Sankey Diagram.

Right to left (RTL)

Right-to-left rendering presents the Sankey Diagram’s text and layout from right to left, improving usability and accessibility for users of RTL languages.




Other Supported Frameworks

In addition to React, built-in integration is available for these major frameworks.

Discover Syncfusion’s Complete React Component Ecosystem

Explore over 140+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.

  • React Components
  • Pure React Components

Standalone UI SDKs

Integrate the DataGrid, Chart, Scheduler, Gantt, Rich Text Editor, File Manager, and Diagram UI components into applications to enable rich interaction and visualization, delivering a seamless user experience.

Document Solutions

Integrate the PDF Viewer, DOCX Editor, Spreadsheet Editor, and document-processing libraries into the React applications to enable a smooth user experience.

Frequently Asked Questions

With the Syncfusion React Sankey Diagram component, you can:

  • Visualize and analyze complex flow systems with nodes and links.
  • Implement one of the best React Sankey Diagram components on the market.
  • Enjoy simple configuration and APIs.
  • Deploy confidently to all modern browsers.
  • Implement a touch-friendly and responsive component.
  • Take advantage of expansive learning resources such as demos and documentation to get started quickly.

You can find our React Sankey demo here, which demonstrates how to render and configure the Sankey Diagram.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon